<tr data-url="{{ url_for('alerts.modify', alert_id=alert_setting.id) }}">
    <td>{{ alert_setting.alert_name }}</td>
    {% if alert_setting.values %}
        <td>
            {{ alert_setting.values.enabled }}
            {% if alert_setting.values.enabled == alert_setting.settings.default_enabled %}(default){% endif %}
        </td>
    {% else %}
        <td>{{ alert_setting.settings.default_enabled }} (default)</td>
    {% endif %}
    {##}
    {# Check if anything is inside bounds #}
    {% if alert_setting.settings.bounds %}
        {##}
        {# Check if lower is inside bounds #}
        {% if 'lower' in alert_setting.settings.bounds %}
            {% if alert_setting.values and ('lower' in alert_setting.values.bounds) %}
                <td>
                    {{ alert_setting.values.bounds.lower.enabled }}
                    {% if alert_setting.values.bounds.lower.enabled == alert_setting.settings.bounds.lower.default_enabled %}
                        (default)
                    {% endif %}
                </td>
                <td>
                    {{ alert_setting.values.bounds.lower.value }}
                    {% if alert_setting.values.bounds.lower.value == alert_setting.settings.bounds.lower.default_value %}
                        (default)
                    {% endif %}
                </td>
            {% else %}
                <td>{{ alert_setting.settings.bounds.lower.default_enabled }} (default)</td>
                <td>{{ alert_setting.settings.bounds.lower.default_value }} (default)</td>
            {% endif %}
        {% else %}
            <td>NA</td>
            <td>NA</td>
        {% endif %}
        {##}
        {# Check if upper is in bounds #}
        {% if 'upper' in alert_setting.settings.bounds %}
            {% if alert_setting.values and ('upper' in alert_setting.values.bounds) %}
                <td>
                    {{ alert_setting.values.bounds.upper.enabled }}
                    {% if alert_setting.values.bounds.upper.enabled == alert_setting.settings.bounds.upper.default_enabled %}
                        (default)
                    {% endif %}
                </td>
                <td>
                    {{ alert_setting.values.bounds.upper.value }}
                    {% if alert_setting.values.bounds.upper.value == alert_setting.settings.bounds.upper.default_value %}
                        (default)
                    {% endif %}
                </td>
            {% else %}
                <td>{{ alert_setting.settings.bounds.upper.default_enabled }} (default)</td>
                <td>{{ alert_setting.settings.bounds.upper.default_value }} (default)</td>
            {% endif %}
        {% else %}
            <td>NA</td>
            <td>NA</td>
        {% endif %}
    {% else %}
        <td>NA</td>
        <td>NA</td>
        <td>NA</td>
        <td>NA</td>
    {% endif %}
    {##}
    <td>{{ alert_setting.settings.unit }}</td>
</tr>
